#!/usr/bin/env python
import public
import requests

"""
https://pypi.org/pypi?%3Aaction=list_classifiers
https://pypi.org/pypi/<name>/json
https://pypi.org/pypi/<name>/<version>/json
"""


@public.add
def get(name, version=None):
    """return a list of pypi project classifiers"""
    url = "https://pypi.org/pypi/%s/json" % name
    if version:
        url = "https://pypi.org/pypi/%s/%s/json" % (name, version)
    r = requests.get(url)
    if r.status_code >= 400:
        return []
    data = r.json()
    if "info" in data and "classifiers" in data["info"]:
        return data["info"]["classifiers"]
    return []
